namedNodeMap.c File Reference
`#include "ixmlparser.h"`
`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for namedNodeMap.c:

## Functions

static unsigned long | ixmlNamedNodeMap_getItemNumber (IXML_NamedNodeMap *nnMap, const char *name)
| Return the item number of a item in NamedNodeMap.
void | ixmlNamedNodeMap_init (IXML_NamedNodeMap *nnMap)
| Initializes a NamedNodeMap object.
IXML_Node * | ixmlNamedNodeMap_getNamedItem (IXML_NamedNodeMap *nnMap, const DOMString name)
IXML_Node * | ixmlNamedNodeMap_item (IXML_NamedNodeMap *nnMap, unsigned long index)
| Retrieves the indexth item in the map. If index is greater than or equal to the number of nodes in this map, this returns NULL.
unsigned long | ixmlNamedNodeMap_getLength (IXML_NamedNodeMap *nnMap)
| Returns the number of items contained in this NamedNodeMap.
void | ixmlNamedNodeMap_free (IXML_NamedNodeMap *nnMap)
| Frees a NamedNodeMap.
int | ixmlNamedNodeMap_addToNamedNodeMap (IXML_NamedNodeMap **nnMap, IXML_Node *add)
| Add a node to a NamedNodeMap.

## Function Documentation

## ixmlNamedNodeMap_addToNamedNodeMap()

int ixmlNamedNodeMap_addToNamedNodeMap | ( | IXML_NamedNodeMap ** | nnMap,
|  | IXML_Node * | add
| ) |  |

Add a node to a NamedNodeMap.

Returns
  IXML_SUCCESS or failure.

References ixmlNamedNodeMap_init().

Referenced by ixmlNode_getAttributes().

## ixmlNamedNodeMap_getItemNumber()

static unsigned long ixmlNamedNodeMap_getItemNumber | ( | IXML_NamedNodeMap * | nnMap,
|  | const char * | name
| ) |  |

static

Return the item number of a item in NamedNodeMap.

Parameters

  [in] | nnMap | The named node map to process.
  [in] | name | The name of the item to find.

## ixmlNamedNodeMap_init()

void ixmlNamedNodeMap_init | ( | IXML_NamedNodeMap * | nnMap | ) |

Initializes a NamedNodeMap object.

Parameters

  [in] | nnMap | The named node map to process.

Referenced by ixmlNamedNodeMap_addToNamedNodeMap(), and ixmlNode_getAttributes().